<%
const succeses = []
const fails = []
for (const statusCode of Object.getOwnPropertyNames(responses)) {
  let response = responses[statusCode]
  response = response.$ref ? _.swagger.resolveRef($, response.$ref) : response

  if (response.content && response.content["application/json"]) {
    const json = response.content["application/json"]
    const type = include("../__common/type/index.ejs", {propertie: json.schema, targetRef: null, options: {oneline: true}})
    if (200 <= +statusCode && +statusCode <= 299) {
      succeses.push(type)
    } else {
      fails.push(type)
    }
  }
}
%><%- "Promise<" + (succeses.join(" | ") || "void") + ">" %><%
%>